# 4. Dotaz: Získat definovaný "SatelliteImage"

Získejte definovaný „SatelliteImage“ pro „Field“.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
dotaz GetFieldSatelliteImagesViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    název
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      název
      satelliteImages (satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid_1>", "<placeholder_of_satelliteimage_uuid_2>"])  {
        satelitniSnímek {
          uuid
          acquisitionDate
          provider
        }
        plochaBezMraku
        geoMaps {
          krátkýNázev
          url
          classes
          hexColorCodes
        }
        prumerNDVI
        
        statistiky {
          index
          min
          max
          avg
          mdn
          var
          std
        }
        
        doporučenoProPěstitelskouAnalýzuNaVíceLet 
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
dotaz GetFieldSatelliteImagesViaGetFields {
  ziskejPozemky (filtr: {uuidPozemku: "<placeholder_of_field_uuid>"}) {
    fields {
      uuid
      název
      satelliteImages (satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid_1>", "<placeholder_of_satelliteimage_uuid_2>"])  {
        satelitniSnímek {
          uuid
          acquisitionDate
          provider
        } 
        plochaBezMraku
        geoMaps {
          krátkýNázev
          url
          classes
          hexColorCodes
        }
        prumerNDVI
        
        statistiky {
          index
          min
          max
          avg
          mdn
          var
          std
        } 
        
        doporučenoProPěstitelskouAnalýzuNaVíceLet
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/cze/api-dokumentace/prehled-pozadavku-api-geopardu/4.-dotaz-ziskat-definovany-satelliteimage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
